Loading...
Security Resources

Software Updates

Database Security Knowledgebase Update 6.12

Trustwave Database Security Knowledgebase (ShatterKB) 6.12 is now available. It introduces new checks for IBM DB2 LUW, Elasticsearch, MariaDB, Microsoft SQL Server, MySQL, and Percona Server for MySQL. It also brings updates to compliance policies and a new for policies CIS v1.3.0 for SQL Server 2016 and CIS v1.0 for MongoDB 4.

New Vulnerability and Configuration Check Highlights

A list of new features subdivided by release that goes back to the oldest release which can be directly upgraded to the current release or last major release in the case of service packs.

New Checks - IBM Db2

  • Db2 is vulnerable to a denial of service (CVE-2021-29777)
    • Check the database version to determine if the patch for CVE-2021-29777 is missing.
    • Risk: Medium
  • IBM Db2 is vulnerable to a denial of service when executing SELECT statement (CVE-2021-29703)
    • Check the database version to determine if the patch for CVE-2021-29703 is missing.
    • Risk: High
  • IBM Db2 is vulnerable to a race condition via a symbolic link (CVE-2020-4885)
    • Check the database version to determine if the patch for CVE-2020-4885 is missing.
    • Risk: Medium
  • IBM Db2 is vulnerable to an information disclosure (CVE-2021-20579)
    • Check the database version to determine if the patch for CVE-2021-20579 is missing.
    • Risk: Medium
  • IBM Db2 is vulnerable to an information disclosure (CVE-2021-29752)
    • Check the database version to determine if the patch for CVE-2021-29752 is missing.
    • Risk: Low
  • IBM Db2 is vulnerable to denial of service (CVE-2021-29763)
    • Check the database version to determine if the patch for CVE-2021-29763 is missing.
    • Risk: Low
  • IBM Db2 is vulnerable to disclosure of sensitive information (CVE-2021-29825)
    • Check the database version to determine if the patch for CVE-2021-29825 is missing.
    • Risk: Low
  • Multiple vulnerabilities in dependent libraries leading to denial of service or privilege escalation (CVE-2020-11612, CVE-2020-7238, CVE-2020-9488, CVE-2020-9489)
    • Check the database version to determine if the patch for CVE-2020-11612, CVE-2020-7238, CVE-2020-9488, CVE-2020-9489, CVE-2020-5262 and CVE-2020-27216 is missing.
    • Risk: High
  • Vulnerabilities in IBM Db2 (CVE-2020-4945, CVE-2020-4885)
    • Check the database version to determine if the patch for CVE-2020-4945 and CVE-2020-4885 is missing.
    • Risk: High

New Checks - Elasticsearch

  • Vulnerability in Elasticsearch Server - CVE-2021-37937
    • Check the database version to determine if the patch for CVE-2021-37937 is missing.
    • Risk: Medium

New Checks - MariaDB

  • Latest release not installed
    • Check the database version to determine if the latest release has been installed.
    • Risk: High
  • Logins targeted by bots
    • Check if a username is used in bot attacks.
    • Risk: Low
  • Vulnerabilities in MariaDB Server - CVE-2018-2622, CVE-2018-2640, CVE-2018-2665, CVE-2018-2668
    • Check the database version to determine if the patch for CVE-2018-2622, CVE-2018-2640, CVE-2018-2665, CVE-2018-2668 is missing.
    • Risk: Medium
  • Vulnerabilities in MariaDB Server - CVE-2018-2771, CVE-2018-2819, CVE-2018-2813, CVE-2018-2781, CVE-2018-2767
    • Check the database version to determine if the patch for CVE-2018-2771, CVE-2018-2819, CVE-2018-2813, CVE-2018-2781, CVE-2018-2767 is missing.
    • Risk: Medium
  • Vulnerabilities in MariaDB Server - CVE-2018-2782, CVE-2018-2784, CVE-2018-2787, CVE-2018-2817, CVE-2018-2761
    • Check the database version to determine if the patch for CVE-2018-2782, CVE-2018-2784, CVE-2018-2787, CVE-2018-2817, CVE-2018-2761 is missing.
    • Risk: Medium
  • Vulnerabilities in MariaDB Server - CVE-2018-3058, CVE-2018-3063, CVE-2018-3066
    • Check the database version to determine if the patch for CVE-2018-3058, CVE-2018-3063, CVE-2018-3066 is missing.
    • Risk: Medium
  • Vulnerabilities in MariaDB Server - CVE-2018-3143, CVE-2018-3156
    • Check the database version to determine if the patch for CVE-2018-3143, CVE-2018-3156 is missing.
    • Risk: Medium
  • Vulnerabilities in MariaDB Server - CVE-2018-3162, CVE-2018-3173, CVE-2018-3185, CVE-2018-3200, CVE-2018-3277
    • Check the database version to determine if the patch for CVE-2018-3162, CVE-2018-3173, CVE-2018-3185, CVE-2018-3200, CVE-2018-3277 is missing.
    • Risk: Medium
  • Vulnerabilities in MariaDB Server - CVE-2019-2739, CVE-2019-2740, CVE-2019-2805
    • Check the database version to determine if the patch for CVE-2019-2739, CVE-2019-2740, CVE-2019-2805 is missing.
    • Risk: Medium
  • Vulnerabilities in MariaDB Server - CVE-2020-14776, CVE-2020-14789
    • Check the database version to determine if the patch for CVE-2020-14776, CVE-2020-14789 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-2562
    • Check the database version to determine if the patch for CVE-2018-2562 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2018-2612
    • Check the database version to determine if the patch for CVE-2018-2612 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2018-2755
    • Check the database version to determine if the patch for CVE-2018-2755 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2018-2759
    • Check the database version to determine if the patch for CVE-2018-2759 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-2766
    • Check the database version to determine if the patch for CVE-2018-2766 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-2777
    • Check the database version to determine if the patch for CVE-2018-2777 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-2786
    • Check the database version to determine if the patch for CVE-2018-2786 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-2810
    • Check the database version to determine if the patch for CVE-2018-2810 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-3060
    • Check the database version to determine if the patch for CVE-2018-3060 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-3064
    • Check the database version to determine if the patch for CVE-2018-3064 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2018-3081
    • Check the database version to determine if the patch for CVE-2018-3081 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-3133
    • Check the database version to determine if the patch for CVE-2018-3133 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-3174
    • Check the database version to determine if the patch for CVE-2018-3174 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-3251
    • Check the database version to determine if the patch for CVE-2018-3251 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-3282
    • Check the database version to determine if the patch for CVE-2018-3282 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2018-3284
    • Check the database version to determine if the patch for CVE-2018-3284 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2455
    • Check the database version to determine if the patch for CVE-2019-2455 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2503
    • Check the database version to determine if the patch for CVE-2019-2503 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2510
    • Check the database version to determine if the patch for CVE-2019-2510 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2529
    • Check the database version to determine if the patch for CVE-2019-2529 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2537
    • Check the database version to determine if the patch for CVE-2019-2537 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2614
    • Check the database version to determine if the patch for CVE-2019-2614 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2627
    • Check the database version to determine if the patch for CVE-2019-2627 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2628
    • Check the database version to determine if the patch for CVE-2019-2628 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2737
    • Check the database version to determine if the patch for CVE-2019-2737 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2758
    • Check the database version to determine if the patch for CVE-2019-2758 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2938
    • Check the database version to determine if the patch for CVE-2019-2938 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2019-2974
    • Check the database version to determine if the patch for CVE-2019-2974 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-13249
    • Check the database version to determine if the patch for CVE-2020-13249 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2020-14550
    • Check the database version to determine if the patch for CVE-2020-14550 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-14765
    • Check the database version to determine if the patch for CVE-2020-14765 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-14812
    • Check the database version to determine if the patch for CVE-2020-14812 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-15180
    • Check the database version to determine if the patch for CVE-2020-15180 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2020-2574
    • Check the database version to determine if the patch for CVE-2020-2574 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-2752
    • Check the database version to determine if the patch for CVE-2020-2752 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-2760
    • Check the database version to determine if the patch for CVE-2020-2760 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-2780
    • Check the database version to determine if the patch for CVE-2020-2780 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-2812
    • Check the database version to determine if the patch for CVE-2020-2812 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-2814
    • Check the database version to determine if the patch for CVE-2020-2814 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-28912
    • Check the database version to determine if the patch for CVE-2020-28912 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2020-2922
    • Check the database version to determine if the patch for CVE-2020-2922 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2020-7221
    • Check the database version to determine if the patch for CVE-2020-7221 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2021-2007
    • Check the database version to determine if the patch for CVE-2021-2007 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2021-2011
    • Check the database version to determine if the patch for CVE-2021-2011 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2021-2144
    • Check the database version to determine if the patch for CVE-2021-2144 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2021-2154
    • Check the database version to determine if the patch for CVE-2021-2154 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2021-2166
    • Check the database version to determine if the patch for CVE-2021-2166 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2021-2174
    • Check the database version to determine if the patch for CVE-2021-2174 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2021-2180
    • Check the database version to determine if the patch for CVE-2021-2180 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2021-2194
    • Check the database version to determine if the patch for CVE-2021-2194 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2021-2372
    • Check the database version to determine if the patch for CVE-2021-2372 is missing.
    • Risk: Medium
  • Vulnerability in MariaDB Server - CVE-2021-2389
    • Check the database version to determine if the patch for CVE-2021-2389 is missing.
    • Risk: High
  • Vulnerability in MariaDB Server - CVE-2021-27928
    • Check the database version to determine if the patch for CVE-2021-27928 is missing.
    • Risk: High

New Checks - Microsoft SQL Server

  • Logins targeted by bots
    • Check if a login is used in bot attacks.
    • Risk: Low
  • Vulnerability in Microsoft SQL Server component - CVE-2015-6420
    • Check the database version to determine if the patch for CVE-2015-6420 is missing.
    • Risk: High
  • Vulnerability in Microsoft SQL Server component - CVE-2017-15708
    • Check the database version to determine if the patch for CVE-2017-15708 is missing.
    • Risk: High

New Checks - MySQL

  • Logins targeted by bots
    • Check if a username is used in bot attacks.
    • Risk: Low

New Checks - Percona Server for MySQL

  • Logins targeted by bots
    • Check if a username is used in bot attacks.
    • Risk: Low

New Policies

  • CIS v1.3.0 for SQL Server 2016 - Audit (Built-in)
    • This policy has been created with guidance of the security configuration benchmarks by the Center for Internet Security.
  • CIS v1.0 for MongoDB 4 - Audit (Built-In)
    • This policy has been created with guidance of the security configuration benchmarks by the Center for Internet Security.

Updated Policies

Full list of policy updates is available in the readme file located in the support portal

Availability

  • Available to all AppDetectivePRO and DbProtect customers with maintenance (subscription or perpetual) in good standing at no additional cost.
  • Download SHATTER Knowledgebase from the Trustwave Support Portal. (https://www.trustwave.com/Company/Support/ and select AppDetectivePRO or DbProtect)
  • AppDetectivePRO customers can use the Updater within the product as well